Skip to content

/fal-ai/veo3/fast/image-to-video

POST https://www.kkiai.com/fal-ai/veo3/fast/image-to-video

Official documentation: https://fal.ai/models/fal-ai/veo3/fast/image-to-video

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value should be the Token appended after Bearer.

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequiredText prompt describing how the image should be animated
image_urlstringRequiredURL of the input image to be animated. Resolution should be 720p or higher with a 16:9 aspect ratio. If the image aspect ratio is not 16:9, it will be cropped to fit.
aspect_ratiostringOptionalAspect ratio of the generated video. Default: "auto"
durationstringOptionalDuration of the generated video in seconds. Default: "8s"
generate_audiobooleanOptionalWhether to generate audio for the video. If false, credits usage will be reduced by 33%. Default: true
resolutionstringOptionalResolution of the generated video. Default: "720p" Range: [720p, 1080p]

Request Example

json
{
  "prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It's incredible!\"",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
  "aspect_ratio": "16:9",
  "duration": "8s",
  "generate_audio": true,
  "resolution": "720p"
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/veo3/fast/image-to-video' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A woman looks into the camera, breathes in, then exclaims energetically, \"have you guys checked out Veo3 Image-to-Video on Fal? It'\''s incredible!\"",
  "image_url": "https://storage.googleapis.com/falserverless/example_inputs/veo3-i2v-input.png",
  "aspect_ratio": "16:9",
  "duration": "8s",
  "generate_audio": true,
  "resolution": "720p"
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "1b24b3ae-16a2-4d19-b10d-1e323ebff061",
    "response_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061",
    "status_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061/status",
    "cancel_url": "https://queue.fal.run/fal-ai/veo3/requests/1b24b3ae-16a2-4d19-b10d-1e323ebff061/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}